/* pass.h : paramètres du programme pass.c */

#ifndef PASS_H
#define PASS_H

#define Version "1.1"

#define EOT '\04'
#define LBUF 512    // ATTENTION: doit être un multiple de la longueur de la clé !
#define NBCLI 10    // nombre de clients pouvant utiliser la passerelle

/* Les différents niveaux de trace pour débugger le code */
#define TRACE_1     // suivi de la connexion des clients
#define TRACE_CH    // pour suivre les opérations de chiffrement
#define TRACE_SP    // pour suivre les opérations de structure de paquet

#include <netdb.h>

/* Fonction qui traduit une adresse IPv4 en chaîne de caractères xxx.xxx.xxx.xxx */
extern char *adip(uint32_t A);

/* Fontion qui fabrique un IPv4 au format réseau */
extern uint32_t makeip4(int a, int b, int c, int d);

/* Fonction qui agit en tant que handler pour signal() */
extern void interrupt(int S);

/* Fonction qui lit taille octets à la fois */
extern int readNbc(int fd, char *buffer, int taille);

/* Fonction du thread qui lit le port local et écrit vers le port distant */
extern void *fct_th(void *p);

/* Création de la passerelle pour le client */
extern int liaison(int fd);

/* Message d'aide pour l'utilisateur */
extern void finerr(char *N, int err);

#endif
